net.minecraft.world.gen

## Class NoiseGeneratorPerlin

- java.lang.Object
- - net.minecraft.world.gen.NoiseGenerator
  - - net.minecraft.world.gen.NoiseGeneratorPerlin

-     public class NoiseGeneratorPerlin
      extends NoiseGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoiseGeneratorPerlin(java.util.Random p_i45470_1_, int p_i45470_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `func_151599_a(double[] p_151599_1_, double p_151599_2_, double p_151599_4_, int p_151599_6_, int p_151599_7_, double p_151599_8_, double p_151599_10_, double p_151599_12_)`
    `double[]` | `func_151600_a(double[] p_151600_1_, double p_151600_2_, double p_151600_4_, int p_151600_6_, int p_151600_7_, double p_151600_8_, double p_151600_10_, double p_151600_12_, double p_151600_14_)`
    `double` | `func_151601_a(double p_151601_1_, double p_151601_3_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoiseGeneratorPerlin

          public NoiseGeneratorPerlin(java.util.Random p_i45470_1_,
                              int p_i45470_2_)

  - ### Method Detail

    - #### func_151601_a

          public double func_151601_a(double p_151601_1_,
                             double p_151601_3_)

    - #### func_151599_a

          public double[] func_151599_a(double[] p_151599_1_,
                               double p_151599_2_,
                               double p_151599_4_,
                               int p_151599_6_,
                               int p_151599_7_,
                               double p_151599_8_,
                               double p_151599_10_,
                               double p_151599_12_)

    - #### func_151600_a

          public double[] func_151600_a(double[] p_151600_1_,
                               double p_151600_2_,
                               double p_151600_4_,
                               int p_151600_6_,
                               int p_151600_7_,
                               double p_151600_8_,
                               double p_151600_10_,
                               double p_151600_12_,
                               double p_151600_14_)